--- /dev/null
+#!/bin/sh
+# This script builds a version of TigerVNC on OS/X 10.5 or later which is
+# compatible with OS/X 10.4 or later. The OS/X 10.4 compatibility SDK (part
+# of XCode) must be installed.
+
+set -e
+
+SCRIPTDIR=`dirname $0`
+pushd $SCRIPTDIR/..
+CC=gcc-4.0
+CXX=g++-4.0
+CPP=cpp-4.0
+CFLAGS='-isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 -O3 -m32'
+CXXFLAGS=$CFLAGS
+LDFLAGS=$CFLAGS
+CPPFLAGS=$CFLAGS
+export CFLAGS CXXFLAGS LDFLAGS CPPFLAGS CC CXX CPP
+autoreconf -fiv
+configure --x-libraries=/usr/X11R6/lib/
+make
+popd
--- /dev/null
+#!/bin/sh
+# This script builds a 64-bit version of TigerVNC on OS/X 10.6 or later.
+# NASM 2.07 or later from MacPorts must be installed in /opt/local.
+
+set -e
+
+SCRIPTDIR=`dirname $0`
+pushd $SCRIPTDIR/..
+CFLAGS='-O3'
+CXXFLAGS=$CFLAGS
+export CFLAGS CXXFLAGS
+autoreconf -fiv
+configure --host=x86_64-apple-darwin10.0.0 NASM=/opt/local/bin/nasm
+make
+popd
--- /dev/null
+#!/bin/sh
+# This script builds a 32-bit version of TigerVNC on OS/X 10.4 or later. The
+# resulting version of TigerVNC is not backward compatible.
+
+set -e
+
+SCRIPTDIR=`dirname $0`
+pushd $SCRIPTDIR/..
+CFLAGS='-O3 -m32'
+CXXFLAGS=$CFLAGS
+LDFLAGS=$CFLAGS
+export CFLAGS CXXFLAGS LDFLAGS
+autoreconf -fiv
+configure
+make
+popd